<?php
/*
    Plugin Name: wpsitemap
    Plugin URI: http://www.imwpweb.com/
    Description: imwpweb出品的速度超快的站点地图插件！用于替代原本WordPress速度慢，耗内存的内置站点地图。
    Version: 1.12
    Author: imwpweb
    Author URI: http://www.imwpweb.com/
*/

// 移到最后激活
add_filter('pre_update_option_active_plugins', function ($plugins) {
    $currentPlugin = plugin_basename(__FILE__);
    $key = array_search($currentPlugin, $plugins);
    if ($key === false) {
        return $plugins;
    }
    unset($plugins[$key]);
    $plugins[] = $currentPlugin;
    return $plugins;
});

require_once __DIR__ . "/autoload.php";
require_once __DIR__ . "/start.php";